Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.resource
Class P13nResource

    java.lang.Object
      weblogic.security.service.ResourceBase
          com.bea.p13n.entitlements.resource.P13nResource

All Implemented Interfaces:
  Resource, SelfDescribingResource, Serializable

Direct Known Subclasses:
  EnterpriseRoleResource, GlobalRoleResource, HierarchyRoleResource, LeafRoleResource, P13nLibraryResource, P13nSecurityResource, PortalAdminEntitlementResource, WebappRoleResource

public abstract class P13nResource
extends ResourceBase

See Also:
  Serialized Form

Field Summary
`static String` | `empty` Empty string

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`P13nResource()` No Args constructor
`P13nResource(SecurityResource securityResource, String libraryResourceId, String initialCapability)` Construct fields for security and library resources.

Method Summary
`String` | `getCapabilityName()`
`String` | `getEntAppName()` Gets the application name associated with this resource
`String[]` | `getKeys()` Gets keys for this resource.
`String` | `getResourceName()`
`abstract int` | `getResourceScope()` Implemented by P13nResource subclasses
`SecurityResource` | `getSecurityResource()` Returns the resource object used to look for security policies.
`String` | `getType()` Gets the type of this resource (`ApplicationResource`).
`String` | `getWebAppName()`
`Resource` | `makeParent()` Gets a `Resource` object that represents the parent of the current resource.
`void` | `setInitialValues(String theInitialCapability, String theLibRsrcId, String theScope)`
`void` | `setSecurityResource(SecurityResource theSecurityResource)` Sets the resource object used to look for security policies.
`String` | `toString()`

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getFieldType, getID, getParentResource, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, reset, writeResourceString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### empty

    public static final String empty

  Empty string

  See Also:
    Constant Field Values

Constructor Detail

### P13nResource

    public P13nResource()

  No Args constructor

### P13nResource

    public P13nResource(SecurityResource securityResource,
                        String libraryResourceId,
                        String initialCapability)

  Construct fields for security and library resources.

Method Detail

### getCapabilityName

    public String getCapabilityName()

### getEntAppName

    public String getEntAppName()

  Gets the application name associated with this resource

  Returns:
    a String indicating the name of the application in which the resource is deployed

### getKeys

    public String[] getKeys()

  Gets keys for this resource.

  Returns:
    an array of Strings containing this resource's keys.

### getResourceName

    public String getResourceName()

### getResourceScope

    public abstract int getResourceScope()

  Implemented by P13nResource subclasses

### getSecurityResource

    public SecurityResource getSecurityResource()

  Returns the resource object used to look for security policies. The scoping/search for security policies always begins at the resource leaf node.

### getType

    public String getType()

  Gets the type of this resource (`ApplicationResource`).

  Returns:
    the String type of this resource.

### getWebAppName

    public String getWebAppName()

### makeParent

    public Resource makeParent()

  Gets a `Resource` object that represents the parent of the current resource. If the resource does not have a parent, the value of `null` must be returned.

  This method is sensitive to the role scoping of this class instance. The following process is used to determine what should be returned as the parent Resource:

  GlobalRoleResource => null parent

  EnterpriseRoleResource => GlobalRoleResource parent

  WebappRoleResource => EnterpriseRoleResource parent

  HierarchyRoleResource => HierarchyRoleResource parent until appResourceId has been traversed, then => WebappRoleResource parent

  LeafRoleResource => GlobalRoleResource parent

  Returns:
    the `Resource` object of the parent resource.

### setInitialValues

    public void setInitialValues(String theInitialCapability,
                                 String theLibRsrcId,
                                 String theScope)

### setSecurityResource

    public void setSecurityResource(SecurityResource theSecurityResource)

  Sets the resource object used to look for security policies. The scoping/search for security policies always begins at the resource leaf node.

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved